Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista.C45
Class Rules2PLSql

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.dista.ToPLSql
          edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C452PLSql
              edu.udo.cs.miningmart.compiler.wrapper.dista.C45.Rules2PLSql

    public class Rules2PLSql

extends C452PLSql

Version:
  $Id: Rules2PLSql.java,v 1.5 2006/09/27 14:59:54 euler Exp $
Author:
  Alessandro Serra

Field Summary

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.ToPLSql
`m_md, m_result_name, m4db`

Constructor Summary
`Rules2PLSql()`

Method Summary
`void` | `convertToFunctionOn(java.io.PrintWriter w, java.lang.Object o)`
`void` | `convertToFunctionOn(java.io.PrintWriter w, Rules rules)`
`protected void` | `printCondOn(java.io.PrintWriter w, Cond n)`
`protected void` | `printNominalCondOn(java.io.PrintWriter w, NominalCond n)`
`protected void` | `printNumericCondOn(java.io.PrintWriter w, NumericCond n)`
`protected void` | `printRuleOn(java.io.PrintWriter w, Rule rule)`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C452PLSql
`printValue`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.ToPLSql
`convert, getM4Db, getResultName, printAttr, printFuncDeclaration, printFuncHeader, printFuncTrailer, printSpaceOn, setConnection, setMetaData, setResultName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rules2PLSql

    public Rules2PLSql()

Method Detail

### printNominalCondOn

    protected void printNominalCondOn(java.io.PrintWriter w,
                                      NominalCond n)

### printNumericCondOn

    protected void printNumericCondOn(java.io.PrintWriter w,
                                      NumericCond n)

### printCondOn

    protected void printCondOn(java.io.PrintWriter w,
                               Cond n)

### printRuleOn

    protected void printRuleOn(java.io.PrintWriter w,
                               Rule rule)

### convertToFunctionOn

    public void convertToFunctionOn(java.io.PrintWriter w,
                                    Rules rules)

### convertToFunctionOn

    public void convertToFunctionOn(java.io.PrintWriter w,
                                    java.lang.Object o)
                             throws java.lang.Exception

  Overrides:
    `convertToFunctionOn` in class `ToPLSql`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005